"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const chalk_1 = require("chalk");
const cli_ux_1 = require("cli-ux");
const plugins_1 = require("../../plugins");
class PluginsLink extends command_1.Command {
    constructor() {
        super(...arguments);
        this.plugins = new plugins_1.default(this.config);
    }
    async run() {
        const { args } = this.parse(PluginsLink);
        cli_ux_1.default.action.start(`Linking plugin ${chalk_1.default.cyan(args.path)}`);
        await this.plugins.link(args.path);
        cli_ux_1.default.action.stop();
    }
}
PluginsLink.description = 'links a plugin into the CLI for development';
PluginsLink.usage = 'plugins:link PLUGIN';
PluginsLink.examples = ['$ <%= config.bin %> plugins:link <%- config.pjson.oclif.examplePlugin || "myplugin" %> '];
PluginsLink.args = [{ name: 'path', description: 'path to plugin', required: true, default: '.' }];
exports.default = PluginsLink;
